Package: groovy.util

## [Java] Class NodeList

- groovy.util.NodeList

-     public class NodeList
      extends ArrayList

  A List implementation which is returned by queries on a Node which provides some XPath like helper methods for GPath.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NodeList()` Creates an empty node list.
    `NodeList(Collection collection)` Creates a node list containing the supplied elements.
    `NodeList(int size)` Creates an empty node list with the supplied initial capacity.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `clone()` Creates a new NodeList containing the same elements as the original (but cloned in the case of Nodes).
    `` | `public NodeList` | `getAt(String name)` Provides lookup of elements by non-namespaced name.
    `` | `public NodeList` | `getAt(QName name)` Provides lookup of elements by QName.
    `` | `public void` | `plus(Closure c)` Appends sibling nodes after each node in this list.
    `` | `public Node` | `replaceNode(Closure c)` Replaces the sole node in this list using the supplied builder closure.
    `` | `protected static void` | `setMetaClass(Class nodeListClass, MetaClass metaClass)` Installs the metaclass used for property and attribute shortcuts on node lists.
    `` | `public String` | `text()` Returns the text value of all of the elements in the collection.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArrayList` | `add, add, addAll, addAll, clear, clone, contains, containsAll, ensureCapacity, equals, forEach, get, getClass, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, notify, notifyAll, parallelStream, remove, remove, removeAll, removeIf, replaceAll, retainAll, set, size, sort, spliterator, stream, subList, toArray, toArray, toArray, toString, trimToSize, wait, wait, wait`

- - ### Constructor Detail

    - #### public NodeList()

      Creates an empty node list.

    - #### public NodeList(Collection collection)

      Creates a node list containing the supplied elements.

      Parameters:
        `collection` - the initial elements

    - #### public NodeList(int size)

      Creates an empty node list with the supplied initial capacity.

      Parameters:
        `size` - the initial capacity

  - ### Method Detail

    - #### public Object clone()

      Creates a new NodeList containing the same elements as the original (but cloned in the case of Nodes).

      Returns:
        the clone

    - #### public NodeList getAt(String name)

      Provides lookup of elements by non-namespaced name.

      Parameters:
        `name` - the name or shortcut key for nodes of interest
      Returns:
        the nodes of interest which match name

    - #### public NodeList getAt(QName name)

      Provides lookup of elements by QName.

      Parameters:
        `name` - the name or shortcut key for nodes of interest
      Returns:
        the nodes of interest which match name

    - #### public void plus(Closure c)

      Appends sibling nodes after each node in this list.

      Parameters:
        `c` - the closure defining the sibling nodes

    - #### public Node replaceNode(Closure c)

      Replaces the sole node in this list using the supplied builder closure.

      Parameters:
        `c` - the closure defining replacement nodes
      Returns:
        the original node that was replaced

    - #### protected static void setMetaClass(Class nodeListClass, MetaClass metaClass)

      Installs the metaclass used for property and attribute shortcuts on node lists.

      Parameters:
        `nodeListClass` - the class whose metaclass should be replaced
        `metaClass` - the original metaclass

    - #### public String text()

      Returns the text value of all of the elements in the collection.

      Returns:
        the text value of all the elements in the collection or null